WARNING! WARNING! WARNING!
--------------------------
This project is finished and closed. DO NOT USE IT.

It's successor is YTERM: https://repo.or.cz/yterm.git

YTERM is smaller, faster, better, and more correct.



sterm - simple terminal
-----------------------
sterm is a simple virtual terminal emulator for X which sucks less.


Requirements
------------
In order to build sterm you need the Xlib header files.


Compiling
---------
Download, build and install latest K8Jam from http://repo.or.cz/w/k8jam.git

* On Mac OS X, install pkg-config by executing
* sudo port install pkg-config
* set environment variable
* PKG_CONFIG_PATH=/usr/X11/lib/pkgconfig


execute

  jam

to configure and

  jam

again to build.


Using
-----
Copy .sterm.rc to ~/.sterm.rc
Copy ./sterm to /usr/local/bin
Type "sterm" to run sterm in rxvt mode.
Type "sterm -T xterm" to run sterm in xterm mode.


Configuration
-------------
sterm searches config files in this order:

  ~/.sterm.rc
  ~/.config/sterm.rc
  /etc/sterm.rc
  /etc/sterm/sterm.rc
  ./.sterm.rc


Features that will not be added
-------------------------------
  * transparency
  * ttf font support
  * scripting
  * japanese and other strange languages
  * unnecessary (for me) bloating


Credits
-------
Based on Aurélien APTEL <aurelien dot aptel at gmail dot com> bt source code.
Heavily modified by Ketmar // Invisible Vector (xmpp/email: ketmar@ketmar.no-ip.org)
Mac OS X support: vb <vctr.br@mail.ru>
